<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title>Netology -  JavaScript. Events overview</title>
	<link rel="stylesheet" type="text/css" href="bootstrap/css/bootstrap.css">
	<script src="bootstrap/jquery-1.11.3.js"></script>
	<script src="bootstrap/jquery.ba-throttle-debounce.js"></script>
	<script src="bootstrap/js/bootstrap.js"></script>
	<style type="text/css">
   	.slider {
		  border-radius: 5px;
		  background: #E0E0E0;
		  background: -moz-linear-gradient(left top, #E0E0E0, #EEEEEE) repeat scroll 0 0 transparent;
		  background: -webkit-gradient(linear, left top, right bottom, from(#E0E0E0), to(#EEEEEE));
		  background: linear-gradient(left top, #E0E0E0, #EEEEEE);
		  width: 310px;
		  height: 15px;
		  margin: 5px;
		  position: relative;
		}

		.thumb {
		  width: 10px;
		  height: 25px;
		  border-radius: 3px;
		  position: relative;
		  left: 10px;
		  top: -5px;
		  background: blue;
		  cursor: pointer;
		  position: absolute;
		}

		.highlight{
			background: yellow;
			cursor: pointer;
		}
		p {
			display: none;
		}
		#nice-pass-txt{
			color: green;
		}
		.pass-txt{
			color: red;
			font-weight: 800;
			display: block;
		} 
		 
	</style>
</head>
<body>
	<section class="jumbotron">
	    <div class="container">
		    <div class="row">
		    	<h2>Netology</h2>
		        <h3>Javascript. Events overview. Homework</h3>
		        <h4>_Zaycev</h4>
		    </div>
	    </div>
	</section>

	<section class="container">
	  <div class="row">
	  	<div class="col-sm-12">
	  		<form>
	  		  <div class="form-group">
			    <ul onmousedown="return false" onselectstart="return false">
				  <li>Steve Carell</li>
				  <li>Benedict Cumberbatch</li>
				  <li>Bradley Cooper</li>
				  <li>Michael Keaton</li>
				  <li>Rosamund Pike</li>
				  <li>Reese Witherspoon</li>
				  <li>Marion Cotillard</li>
				  <li>Felicity Jones</li>
				</ul>
			  </div>
			  <div class="form-group">
			  	<label for="slider">Слайдер</label>
			    <div id="slider" class="slider">
				   <div class="thumb"></div>
				</div>
			  </div>
			  <div class="form-group">
			    <label for="firstName">Name</label>
			    <input type="text" class="form-control" id="firstName" placeholder="Name">
			  </div>
			  <div class="form-group">
			    <label for="lastName">Last name</label>
			    <input type="text" class="form-control" id="lastName" placeholder="Last name">
			  </div>
			  <div class="form-group">
			    <label for="exampleInputPassword1">Password</label>
			    <input type="password" class="form-control" id="exampleInputPassword1" placeholder="Password">
			    <p id="required-pass-txt">Пароль должен быть длиннее 5 символов</p>
			    <p id="nice-pass-txt">Хороший пароль</p>
			  </div>
			  <div class="form-group" id="helpBlock">
			    <p  class="help-block"><h4>Информация</h4>Эта форма помогает собрать данные для регистрации на сайте</p>
			  </div>
			  <button type="submit" class="btn btn-default">Submit</button>
			</form>
	  	</div>
	  </div>
	  <hr>
	</section>

	<script type="text/javascript">
//1. Список с актерами. Нужно реализовать возможность выделения. 
//При левом клике мышкой выделять одного актера. При клике с зажатым CTRL выделять несколько актеров;
var actors = document.querySelector('.form-group ul');
actors.onclick = event;
actors.style.background = '#eee';
actors.style.cursor = 'pointer';

function event(eventObj) {
	var target = eventObj.target;
	if(eventObj.ctrlKey == true && target.tagName == 'LI'){
			target.classList.add('highlight');
	}
	
	target.onmousedown = function(eventObj){
		if (target.tagName == 'LI') {
			target.classList.toggle('highlight');
			//.classList.remove('highlight');
			//prevTarget.classList.remove('highlight');
			
		}
	}
	target.ondblclick = function(){
			target.classList.remove('highlight');
	}

}
 
//2.Поле "пароль". При вводе нужно считать количество символов. Если символов в пароле меньше 5, то выводить 
//показывать сообщение под полем "Пароль должен быть длиннее 5 символов", если больше, то показывать "Хороший пароль”; 

var pass = document.querySelector('#exampleInputPassword1');
var requiredTxt = document.querySelector('#required-pass-txt');
var niceTxt = document.querySelector('#nice-pass-txt');
pass.onkeypress = function(){ 
	if(pass.value.length < 5){
			requiredTxt.classList.add('pass-txt');
			niceTxt.classList.remove('pass-txt');
	}
	else{
			requiredTxt.classList.remove('pass-txt');
			niceTxt.classList.add('pass-txt');
	}
}

//3. Блок “Информация”. При наведении курсора на этот блок подсвечивать его цветом.
// В момент когда убираете мышь, убирать подсветку;
var helpBlock = document.querySelector('#helpBlock');
helpBlock.onmouseover = function(){
	helpBlock.classList.add('highlight');
}
helpBlock.onmouseout = function(){
	helpBlock.classList.remove('highlight');
}

//4. Слайдер. Реализовать возможность двигать слайдер;

var sliderDiv = document.querySelector('#slider');
var slider = document.querySelector('.thumb');

slider.onmousedown = function(eventObj) {
   
   function getCord(element) { 
      var coords = element.getBoundingClientRect();
	   return {
	   	top:  coords.top + pageYOffset,
	      left: coords.left + pageXOffset
   	}
   };

	var sliderDivCord = getCord(sliderDiv);
   var sliderCord = getCord(slider);
   var scrollX = eventObj.pageX - sliderCord.left;
	console.log(eventObj);
   
   document.onmousemove = function(eventObj) {
      var sliderLeft = eventObj.pageX - scrollX - sliderDivCord.left;
      var sliderRight = sliderDiv.offsetWidth - slider.offsetWidth;
		if (sliderLeft < 0) {
          sliderLeft = 0;
      }
      if (sliderLeft > sliderRight) {
       	sliderLeft = sliderRight;
      }
      slider.style.left = sliderLeft + 'px';
   };
  	document.onmouseup = function() {
	 	document.onmousemove = null;
	 	slider.onmousemove = null;
	};
}

//5.Кнопка Submit. При нажатии на кнопку выводить значения полей "Name, Last name, Password" в консоль. 
//При нажатии на кнопку с зажатой клавишей Shift выводить значение полей в alert(). 
//Действие по умолчанию для формы не должно срабатывать (страница не должна перезагружаться).

var btn = document.querySelector('.btn');
var Name = document.querySelector('#firstName');
var lastname = document.querySelector('#lastName');
btn.onmousedown = function(eventObj){
	console.log(Name.value);
	console.log(lastname.value);
	console.log(pass.value);
	if(eventObj.shiftKey == true){
		alert(' Имя: '+Name.value +'   Фамилия: '+ lastname.value +'   Пароль: '+ pass.value);
	}
}
btn.onclick = function(eventObj){
	eventObj.preventDefault();
}	
	</script>
</body>


</html>